BuildRequires: perl(Pod/Man.pm)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		xls2csv
Version:		1.07
Release:		alt1_13
Summary:		A script that recodes a spreadsheet's charset and saves as CSV

Group:		Text tools
License:		GPL+ or Artistic
URL:			https://metacpan.org/release/xls2csv
Source0:		https://cpan.metacpan.org/authors/id/K/KE/KEN/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	perl(ExtUtils/Embed.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Harness.pm)
BuildRequires:	perl(Test/Simple.pm) perl(Unicode/Map.pm)
BuildRequires:	perl-devel rpm-build-perl perl(Locale/Recode.pm) perl(Text/CSV_XS.pm) perl(Spreadsheet/ParseExcel.pm)
Requires:		perl(Unicode/Map.pm)
Source44: import.info

%description
This script will recode a spreadsheet into a different character set
and output the recoded data as a csv file.

The script came about after many headaches from dealing with Excel
spreadsheets from clients that were being received in various character
sets.


%prep
%setup -q

%build
/usr/bin/perl Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
make OPTIMIZE="$RPM_OPT_FLAGS"

%check
%{__make} test

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

# To avoid name conflict with catdoc package.
mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_bindir}/convert%{name}
gzip -c9 %{buildroot}%{_mandir}/man1/%{name}.1 > %{buildroot}%{_mandir}/man1/convert%{name}.1.gz
rm %{buildroot}%{_mandir}/man1/%{name}.1


%files
%doc
%attr(0755, root, root) %{_bindir}/convert%{name}
%{_mandir}/man1/convert%{name}.1*

%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.07-alt1_13
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 1.07-alt1_12
- update to new release by fcimport

* Wed Jun 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.07-alt1_11
- fc update

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.07-alt1_5
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.07-alt1_3
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.07-alt1_2
- update to new release by fcimport

* Fri Feb 21 2014 Igor Vlasenko <viy@altlinux.ru> 1.07-alt1_1
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 1.06-alt1_16
- update to new release by fcimport

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 1.06-alt1_15
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.06-alt1_14
- initial fc import

